Loading...
Searching...
No Matches
gtsam::ListOfOneContainer< T > Class Template Reference

## Detailed Description

template<typename T>
class gtsam::ListOfOneContainer< T >

A helper class that behaves as a container with one element, and works with boost::range.

## Public Member Functions

| ListOfOneContainer (const T &element)
const T * | begin () const
const T * | end () const
T * | begin ()
T * | end ()
size_t | size () const

## Public Types

typedef T | value_type
typedef const T * | const_iterator
typedef T * | iterator

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/types.h